data:extend(
{

	{
		type = "ammo-category",
		name = "glue-ammo"
	},

-- ITEMS

	-- GLUE
	{
		type = "item",
		name = "glue",
		icon = "__Treefarm-Mod__/graphics/icons/glue.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "b[glue]",
		stack_size = 50
	},

	-- GLUE ROCKET
	{
		type = "ammo",
		name = "glue-rocket",
		icon = "__Treefarm-Mod__/graphics/icons/glue-rocket.png",
		flags = {"goes-to-main-inventory"},
		ammo_type =
		{
			category = "glue-ammo",
			action =
			{
				type = "direct",
				action_delivery =
				{
					type = "projectile",
					projectile = "glue-rocket",
					starting_speed = 0.1,
					source_effects =
					{
						type = "create-entity",
						entity_name = "explosion-gunshot"
					}
				}
			}
		},
		subgroup = "ammo",
		order = "d[rocket-launcher]-b[glue-rocket]",
		stack_size = 100
	},

	-- GLUE- CAPSULE
	{
		type = "capsule",
		name = "glue-capsule",
		icon = "__Treefarm-Mod__/graphics/icons/glue-capsule.png",
		flags = {"goes-to-quickbar"},
		capsule_action =
		{
			type = "throw",
			attack_parameters =
			{
				ammo_category = "capsule",
				cooldown = 30,
				projectile_creation_distance = 0.6,
				range = 50,
				ammo_type =
				{
					category = "capsule",
					target_type = "position",
					action =
					{
						type = "direct",
						action_delivery =
						{
							type = "projectile",
							projectile = "glue-capsule",
							starting_speed = 0.3
						}
					}
				}
			}
		},
		subgroup = "capsule",
		order = "c[glue-capsule]",
		stack_size = 100
	},

	-- GLUE-TURRET
	{
		type = "item",
		name = "glue-turret",
		icon = "__Treefarm-Mod__/graphics/icons/glue-turret.png",
		flags = {"goes-to-quickbar"},
		subgroup = "defensive-structure",
		order = "b[turret]-a[glue-turret]",
		place_result = "glue-turret",
		stack_size = 10
	},

-- PROJECTILES

	-- GLUE-ROCKET PROJECTILE
	{
		type = "projectile",
		name = "glue-rocket",
		flags = {"not-on-map"},
		acceleration = 0.005,
		action =
		{
			type = "area",
			perimeter = 20,
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					{
						type = "create-sticker",
						sticker = "glue-sticker"
					}
				}
			}
		},
		light = {intensity = 0.5, size = 4},
		animation =
		{
			filename = "__base__/graphics/entity/rocket/rocket.png",
			frame_count = 1,
			width = 10,
			height = 30,
			priority = "high"
		},
		shadow =
		{
			filename = "__base__/graphics/entity/rocket/rocket-shadow.png",
			frame_count = 1,
			width = 10,
			height = 30,
			priority = "high"
		},
		smoke =
		{
			{
				name = "smoke-fast",
				deviation = {0.15, 0.15},
				frequency = 1,
				position = {0, 0},
				slow_down_factor = 1,
				starting_frame = 3,
				starting_frame_deviation = 5,
				starting_frame_speed = 0,
				starting_frame_speed_deviation = 5
			}
		}
	},

	-- GLUE STICKER
	{
		type = "sticker",
		name = "glue-sticker",
		flags = {"not-on-map"},
		flags = {},
		animation =
		{
			filename = "__base__/graphics/entity/slowdown-sticker/slowdown-sticker.png",
			priority = "extra-high",
			width = 11,
			height = 11,
			frame_count = 13,
			animation_speed = 0.4
		},
		duration_in_ticks = 5 * 60 * 60,
		magnitude = 1.0
	},

	-- GLUE-CAPSULE PROJECTILE
	{
		type = "projectile",
		name = "glue-capsule",
		flags = {"not-on-map"},
		acceleration = 0.005,
		action =
		{
			type = "area",
			perimeter = 20,
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					type = "create-sticker",
					sticker = "glue-sticker"
				}
			}
		},
		light = {intensity = 0.5, size = 4},
		animation =
		{
			filename = "__Treefarm-Mod__/graphics/icons/glue-capsule.png",
			frame_count = 1,
			width = 32,
			height = 32,
			priority = "high"
		},
		shadow =
		{
			filename = "__base__/graphics/entity/slowdown-capsule/slowdown-capsule-shadow.png",
			frame_count = 1,
			width = 32,
			height = 32,
			priority = "high"
		},
		smoke = capsule_smoke,
	},


-- RECIPES

	-- FLAMETHROWER-AMMO
	{
		type = "recipe",
		name = "tf-flame-thrower-ammo",
		category = "crafting-with-fluid",
		enabled = "false",
		energy_required = 10,
		ingredients =
		{
			{type = "item", name = "steel-plate", amount = 2},
			{type = "fluid", name = "methanol", amount = 10},
		},
		result = "flame-thrower-ammo"
	},

	--GLUE
	{
		type = "recipe",
		name = "glue",
		category = "treefarm-mod-biolab",
		energy_required = 10,
		ingredients =
		{
			{type = "fluid", name = "methanol", amount = 1},
			{type = "item", name = "cellulose", amount = 1}
		},
		results=
		{
			{type = "item", name = "glue", amount = 1}
		},
		enabled = "false"
	},

	-- GLUE ROCKET
	{
		type = "recipe",
		name = "glue-rocket",
		category = "crafting",
		energy_required = 10,
		ingredients =
		{
			{type = "item", name = "glue", amount = 1},
			{type = "item", name = "slowdown-capsule", amount = 1}
		},
		results=
		{
			{type = "item", name = "glue-rocket", amount = 1}
		},
		enabled = "false"
	},

	-- GLUE-CAPSULE
	{
		type = "recipe",
		name = "glue-capsule",
		category = "crafting",
		energy_required = 10,
		ingredients =
		{
			{type = "item", name = "glue", amount = 1},
			{type = "item", name = "slowdown-capsule", amount = 1}
		},
		results=
		{
			{type = "item", name = "glue-capsule", amount = 1}
		},
		enabled = "false"
	},

	-- GLUE-TURRET
	{
		type = "recipe",
		name = "glue-turret",
		category = "crafting",
		energy_required = 1,
		ingredients =
		{
			{type = "item", name = "gun-turret", amount = 1}
		},
		results=
		{
			{type = "item", name = "glue-turret", amount = 1}
		},
		enabled = "false"
	},

-- ENTITIES

	-- GLUE-TURRET
	{
		type = "ammo-turret",
		name = "glue-turret",
		icon = "__Treefarm-Mod__/graphics/icons/glue-turret.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = "glue-turret"},
		max_health = 200,
		corpse = "small-remnants",
		collision_box = {{-0.4, -0.9 }, {0.4, 0.9}},
		selection_box = {{-0.5, -1 }, {0.5, 1}},
		rotation_speed = 0.015,
		preparing_speed = 0.08,
		folding_speed = 0.08,
		dying_explosion = "huge-explosion",
		inventory_size = 1,
		automated_ammo_count = 10,





		folded_animation =
		{
			filename = "__Treefarm-Mod__/graphics/entities/glue-turret/glue-turret-fold.png",
			priority = "medium",
			width = 80,
			height = 72,
			direction_count = 4,
			frame_count = 1,
			axially_symmetrical = false,
			shift = { 0, -0.5},
		},



		preparing_animation = 		{
			filename = "__Treefarm-Mod__/graphics/entities/glue-turret/glue-turret-fold.png",
			priority = "medium",
			width = 80,
			height = 72,
			direction_count = 4,
			frame_count = 1,
			axially_symmetrical = false,
			shift = { 0, -0.5},
		},


		prepared_animation =
		{
			--filename = "__Treefarm-Mod__/graphics/entities/glue-turret/gun-turret.png",
			filename = "__Treefarm-Mod__/graphics/entities/glue-turret/glue-turret-anim.png",
			priority = "medium",
			width = 80,
			height = 72,
			direction_count = 64,
			frame_count = 1,
			line_length = 16,
			axially_symmetrical = false,
			shift = {0, -0.5}
		},



		folding_animation = 		{
			filename = "__Treefarm-Mod__/graphics/entities/glue-turret/glue-turret-fold.png",
			priority = "medium",
			width = 80,
			height = 72,
			direction_count = 4,
			frame_count = 1,
			axially_symmetrical = false,
			shift = { 0, -0.5},
		},

		base_picture =
		{
			filename = "__Treefarm-Mod__/graphics/entities/glue-turret/gun-turret-base.png",
			priority = "high",
			width = 43,
			height = 28,
			shift = {0.1, -0.125 + 0.6}
		},








		attack_parameters =
		{
				ammo_category = "glue-ammo",
				cooldown = 60 * 10,
				projectile_center = {0, 0.6},
				projectile_creation_distance = 1.2,
				shell_particle = 
			{
				name = "shell-particle",
				direction_deviation = 0.1,
				speed = 0.1,
				speed_deviation = 0.03,
				center = {0, 0.6},
				creation_distance = 0.6,
				starting_frame_speed = 0.2,
				starting_frame_speed_deviation = 0.1
			},
			range = 17,
			sound =
			{
				{
					filename = "__base__/sound/gunshot.ogg",
					volume = 0.3
				}
			}
		}
	}

}
)
